﻿fluke                                                       MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3032C: (1 year) VER VISA /9500+1Hd
DATE:                  2010-06-03 12:28:48
AUTHOR:                Fluke
REVISION:              $Revision: 2624 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       238
CONFIGURATION:         Datron 9500 (S6)
CONFIGURATION:         Datron 9510 on channel 1
=============================================================================
#
#  Procedure Author:
#        ZY
# 
#  Models covered:
#        TDS 3032C
# 
#  Source(s):
#        TDS3000C Series Digital Phosphor Oscilloscopes,
#        Specifications and Performance Verification
#        Technical Reference, 071-2508-01
# 
# Compatibility:
#        MET/CAL 7.20 SP1 (7.20x) or later
#
#  Subprocedures:
#        Sub Display Copyright
#        Sub High Voltage Safety Warning
#        Sub Select Failed Test Mode
#        Sub IEEE-488.2 Identification Query VISA
#        Sub IEEE-488.2 Identification Query Parse Response
#        Sub IEEE-488.2 Identification Query Check Response
#        Sub Tek TDS3000C Channel Select VISA
#        Sub Tek TDS3000C Remote Interface Connection
#        Sub Tek TDS3000C Check Firmware Version
#        Sub Datron 9500 Configuration Query IEEE
#        Sub Tek TDS3000C Set Bandwidth & Number of Channels
#        Sub Tek TDS3000C Sig Path Comp Cal VISA
#        Sub Tek TDS3000C Self-Test VISA
#        Sub Tek TDS3000C (1 yr) DCV VISA /9500
#        Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600
#        Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600
#        Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600
#        Sub Tek TDS3000C (1 yr) Sample Rate VISA /9500
#        Sub Tek TDS3000C Trigger Chk and Level Adj VISA
#
# Required Files:
#        None
#
#  Additional Equipment Required:
#        TDS3GV GPIB/RS-232/VGA Communication Module
#        50 Ohm feed through teminator, one to four sets
#               (if one to four sets 9560 is configured)
#        Adapter SMA(f)-BNC(m), one to four sets
#               (if one to four sets 9560 is configured)
#
# The procedure was tested using:
#        Model No  :
#        Serial No :
#        Options   :
#        Firmware  :
#
# Average run time during testing :
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  9500         500MH                        1Vpp           LS    S  L
  1.003  ENDIF

  1.004  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.005  ASK+           K

  1.006  IF           NOT(VERSIONCHECK("7.20x"))
  1.007  END
  1.008  ENDIF

  1.009  CALL         Sub Display Copyright
  1.010  CALL         Sub High Voltage Safety Warning
  1.011  CALL         Sub Select Failed Test Mode
  1.012  CALL         Sub Select Verification Method (No NTHROW)

  1.013  HEAD         PRELIMINARY INSTRUCTIONS
  1.014  TARGET
  1.015  DISP         Ensure a minimum UUT warm-up time of at least
  1.015  DISP         20 minutes has been allowed to elapse, prior
  1.015  DISP         to beginning verification.

  1.016  MATH         @VisaLAN = 1
  1.017  CALL         Sub Tek TDS3000C Remote Interface Connection
  1.018  JMPL         END                              @Abort

  1.019  VISA         *RST

  1.020  HEAD         UUT IDENTIFICATION
  1.021  CALL         Sub IEEE-488.2 Identification Query VISA

  1.022  MATH         @UUT_Manufacturer = "Tektronix"
  1.023  MATH         @UUT_Model        = "TDS 3032C"
  1.024  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.025  JMPL         END                           @Abort

  1.026  CALL         Sub Tek TDS3000C Check Firmware Version
  1.027  JMPL         END                           @Abort

  1.028  CALL         Sub Datron 9500 Configuration Query IEEE

  1.029  HEAD         EQUIPMENT REQUIREMENTS
  1.030  OPBR         -z Do you want to REVIEW the list of additional
  1.030  OPBR         equipment and/or accessories required?

  1.031  IF           MEM1

  1.032  IF           @HeadTypeCh1 != "9560"
  1.033  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36

  1.034  ELSE
  1.035  DISP         - Cable, 50 Ohm, BNC(m)-(m), Pomona 2249-C-36
  1.035  DISP         - 50 Ohm feed through teminator, one to four sets
  1.035  DISP         [32]        (if one to four sets 9560 is configured)
  1.035  DISP         - Adapter SMA(f)-BNC(m), one to four sets
  1.035  DISP         [32]        (if one to four sets 9560 is configured)
  1.036  ENDIF

  1.037  ENDIF

# NOTE: Throughout this procedure, JMPL/LABEL statements are used to
# minimize connection changes during execution. Test results, however,
# are reported in test number sequence.
#
#  Order  Results                            Run Time (Execution)
#  -----  -------------------------------    --------------------------------
#    1.   SIGNAL PATH COMPENSATION           SIGNAL PATH COMPENSATION
#    2.   SELF TEST                          SELF TEST
#    3.   DCV GAIN (CH1)                     DCV GAIN (CH1)
#    4.   DCV GAIN (CH2)                     BANDWIDTH (CH1)
#    5.   BANDWIDTH (CH1)                    TRIGGER SENS FULL BW (CH1)
#    6.   BANDWIDTH (CH2)                    TRIGGER SENS 50 MHz (CH1)
#    7.   TRIGGER SENS FULL BW (CH1)         SAMPLE RATE AND DELAY TIME ACC
#    8.   TRIGGER SENS FULL BW (CH2)         DCV GAIN (CH2)
#    9.   TRIGGER SENS 50 MHz (CH1)          BANDWIDTH (CH2)
#   10.   TRIGGER SENS 50 MHz (CH2)          TRIGGER SENS FULL BW (CH2)
#   11.   SAMPLE RATE AND DELAY TIME ACC     TRIGGER SENS 50 MHz (CH2)

  1.038  CALL         Sub Tek TDS3000C Set Bandwidth & Number of Channels
  1.039  CALL         Sub Tek TDS3000C Sig Path Comp Cal VISA
  1.040  JMPL         END                           @Abort

  1.041  CALL         Sub Tek TDS3000C Self-Test VISA
  1.042  JMPL         END                           @Abort

  1.043  IF           @HeadTypeCh1 == "9560"
  1.044  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.045  ELSE
  1.046  MATH         Ch1Adapter = ""
  1.047  ENDIF

  1.048  DISP         Connect the 9500 CH1 Active Head to
  1.048  DISP         UUT CH 1[V Ch1Adapter].

  1.049  MATH         @Chan = 1
  1.050  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /9500
  1.051  JMPL         BANDWIDTH_CH1

  1.052  LABEL        DCV_CH2
  1.053  DISP         Connect the 9500 CH1 Active Head to
  1.053  DISP         UUT CH 2[V Ch1Adapter].
  1.054  MATH         @Chan = 2
  1.055  CALL         Sub Tek TDS3000C (1 yr) DCV VISA /9500
  1.056  JMPL         BANDWIDTH_CH2

  1.057  LABEL        BANDWIDTH_CH1
  1.058  MATH         @Chan = 1
  1.059  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600
  1.060  JMPL         TRIG_FULL_BW_CH1

  1.061  LABEL        BANDWIDTH_CH2
  1.062  MATH         @Chan = 2
  1.063  CALL         Sub Tek TDS3000C (1 yr) Bandwidth VISA /9500/600
  1.064  JMPL         TRIG_FULL_BW_CH2

  1.065  LABEL        TRIG_FULL_BW_CH1
  1.066  MATH         @Chan = 1
  1.067  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600
  1.068  JMPL         TRIG_50MH_CH1

  1.069  LABEL        TRIG_FULL_BW_CH2
  1.070  MATH         @Chan = 2
  1.071  CALL         Sub Tek TDS3000C (1 yr) Full BW Trig VISA /9500/600
  1.072  JMPL         TRIG_50MH_CH2

  1.073  LABEL        TRIG_50MH_CH1
  1.074  MATH         @Chan = 1
  1.075  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600
  1.076  JMPL         SAMPLE_RATE

  1.077  LABEL        TRIG_50MH_CH2
  1.078  MATH         @Chan = 2
  1.079  CALL         Sub Tek TDS3000C (1 yr) 50 MHz Trig VISA /9500/600
  1.080  JMPL         END

  1.081  LABEL        SAMPLE_RATE
  1.082  MATH         @Chan = 1
  1.083  CALL         Sub Tek TDS3000C (1 yr) Sample Rate VISA /9500
  1.084  JMPL         DCV_CH2

  1.085  LABEL        END
  1.086  HEAD         -2

  1.087  IF           @Abort
  1.088  HEAD         V E R I F I C A T I O N   A B O R T E D
  1.089  ELSE
  1.090  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.091  ENDIF

  1.092  END
